Group: Games/Other
# BEGIN SourceDeps(oneline):
BuildRequires: pkgconfig(cairo) pkgconfig(gtk+-2.0) zlib-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           adonthell
Summary:        A 2D graphical RPG game
Version:        0.3.6
Release:        alt1_9
License:        GPLv2+
URL:            http://adonthell.nongnu.org/
Source0:        http://savannah.nongnu.org/download/%{name}/%{name}-src-%{version}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  libfreetype-devel
BuildRequires:  libxml2-devel
BuildRequires:  libogg-devel
BuildRequires:  libvorbis-devel
BuildRequires:  libSDL2-devel libSDL2_mixer-devel libSDL2_ttf-devel
BuildRequires:  libpng-devel
BuildRequires:  swig
BuildRequires:  doxygen
BuildRequires:  graphviz libgraphviz
BuildRequires:  gcc-c++
Source44: import.info

%description
A 2D, graphical, single player role playing game inspired by good old
console RPGs from the 16 bit console gaming era.

This package contains the Adonthell engine. You will also need a game
package to play Adonthell. For this release, the official package is
Waste's Edge.


%package doc
Summary:        API documentation for %{name}

Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
API documentation for %{name} generated by doxygen in HTML format.


%prep
%setup -q
# install locale files in the right place
sed -i 's|myconfig.gamedir + "/locale"|"%{_datadir}/locale"|' src/nls.cc

# remove hardcoded CFLAGS
sed -i 's|^CFLAGS|^#CFLAGS|g' configure
sed -i "s|ac_precious_vars='build_alias|'ac_precious_vars=build_alias|g" configure
%build
%configure --enable-doc
%make_build


%install
%makeinstall_std


%files
%doc --no-dereference COPYING AUTHORS
%{_bindir}/%{name}-0.3
%{_datadir}/%{name}/
%{_mandir}/man6/*

%files doc
%doc doc/devel/html


%changelog
* Sat Jul 14 2018 Igor Vlasenko <viy@altlinux.ru> 0.3.6-alt1_9
- update to new release by fcimport

* Fri May 25 2018 Igor Vlasenko <viy@altlinux.ru> 0.3.6-alt1_8
- update to new release by fcimport

* Fri Mar 30 2018 Aleksei Nikiforov <darktemplar@altlinux.org> 0.3.6-alt1_6.1
- (NMU) Rebuilt with python-3.6.4.

* Sun Nov 26 2017 Igor Vlasenko <viy@altlinux.ru> 0.3.6-alt1_6
- new version

* Mon Feb 15 2016 Igor Vlasenko <viy@altlinux.ru> 0.3.5-alt4_7
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.3.5-alt4_6
- update to new release by fcimport

* Sun Sep 20 2015 Igor Vlasenko <viy@altlinux.ru> 0.3.5-alt4_5
- update to new release by fcimport

* Wed Aug 27 2014 Igor Vlasenko <viy@altlinux.ru> 0.3.5-alt4_3
- update to new release by fcimport

* Tue Jul 01 2014 Igor Vlasenko <viy@altlinux.ru> 0.3.5-alt4_2
- update to new release by fcimport

* Fri Jan 03 2014 Igor Vlasenko <viy@altlinux.ru> 0.3.5-alt4_1
- update to new release by fcimport

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.5-alt4_0.16
- update to new release by fcimport

* Mon Apr 22 2013 Repocop Q. A. Robot <repocop@altlinux.org> 0.3.5-alt4_0.15.qa1
- NMU (by repocop). See http://www.altlinux.org/Tools/Repocop
- applied repocop fixes:
  * arch-dep-package-consists-of-usr-share for adonthell-doc

* Fri Feb 22 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.5-alt4_0.15
- update to new release by fcimport

* Sat Jan 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.5-alt4_0.14
- applied repocop patches

* Fri Jul 27 2012 Igor Vlasenko <viy@altlinux.ru> 0.3.5-alt3_0.14
- update to new release by fcimport

* Wed May 09 2012 Igor Vlasenko <viy@altlinux.ru> 0.3.5-alt3_0.13
- update to new release by fcimport

* Mon Apr 16 2012 Vitaly Kuznetsov <vitty@altlinux.ru> 0.3.5-alt3_0.12.1
- Rebuild to remove redundant libpython2.7 dependency

* Fri Mar 02 2012 Igor Vlasenko <viy@altlinux.ru> 0.3.5-alt3_0.12
- rebuild with fixed sourcedep analyser (#27020)

* Fri Jan 20 2012 Igor Vlasenko <viy@altlinux.ru> 0.3.5-alt2_0.12
- update to new release by fcimport

* Sat Oct 22 2011 Vitaly Kuznetsov <vitty@altlinux.ru> 0.3.5-alt2_0.11.1
- Rebuild with Python-2.7

* Wed Mar 09 2011 Igor Vlasenko <viy@altlinux.ru> 0.3.5-alt2_0.11
- new origin release

* Mon Feb 28 2011 Igor Vlasenko <viy@altlinux.ru> 0.3.5-alt2_0.9
- spec sleanup

* Wed Feb 16 2011 Igor Vlasenko <viy@altlinux.ru> 0.3.5-alt1_0.9
- converted from Fedora by srpmconvert script

